## flwm 0.25

=== Makefile ===
SHELL=/bin/sh

PROGRAM = flwm
VERSION = 0.25

CXXFILES = main.C Frame.C Rotated.C Menu.C FrameWindow.C Desktop.C Hotkeys.C

LIBS = -lfltk

MANPAGE = 1

################################################################

OBJECTS = $(CXXFILES:.C=.o)

all:	$(PROGRAM)

$(PROGRAM) : $(OBJECTS)
	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)

makeinclude: configure
	./configure
include makeinclude

.SUFFIXES : .fl .do .C .c .H

.C.o :
	$(CXX) $(CXXFLAGS) -c $<
.C :
	$(CXX) $(CXXFLAGS) -c $<
.fl.C :
	-fluid -c $<
.fl.H :
	-fluid -c $<

clean :
	-@ rm -f *.o $(PROGRAM) $(CLEAN) core *~ makedepend
	@touch makedepend

depend:
	$(MAKEDEPEND) -I.. $(CXXFLAGS) $(CXXFILES) $(CFILES) > makedepend
makedepend:
	touch makedepend
include makedepend

install: $(PROGRAM)
	$(INSTALL) -s $(PROGRAM) $(bindir)/$(PROGRAM)
	$(INSTALL) $(PROGRAM).$(MANPAGE) $(mandir)/man$(MANPAGE)/$(PROGRAM).$(MANPAGE)

uninstall:
	-@ rm -f $(bindir)/$(PROGRAM)
	-@ rm -f $(mandir)/man$(MANPAGE)/$(PROGRAM).$(MANPAGE)

dist:
	cat /dev/null > makedepend
	-@mkdir $(PROGRAM)-$(VERSION)
	-@ln README Makefile configure install-sh makedepend *.C *.H *.h *.in *.fl $(PROGRAM).$(MANPAGE) flwm_wmconfig $(PROGRAM)-$(VERSION)
	tar -cvzf $(PROGRAM)-$(VERSION).tgz $(PROGRAM)-$(VERSION)
	-@rm -r $(PROGRAM)-$(VERSION)

exedist:
	-@mkdir $(PROGRAM)-$(VERSION)-x86
	-@ln README $(PROGRAM) $(PROGRAM).$(MANPAGE) flwm_wmconfig $(PROGRAM)-$(VERSION)-x86
	tar -cvzf $(PROGRAM)-$(VERSION)-x86.tgz $(PROGRAM)-$(VERSION)-x86
	-@rm -r $(PROGRAM)-$(VERSION)-x86

################################################################

PROGRAM_D = $(PROGRAM)_d

debug: $(PROGRAM_D)

OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)

.C.do :
	$(CXX) -I.. $(CXXFLAGS_D) -c -o $@ $<
.c.do :
	$(CC) -I.. $(CFLAGS_D) -c -o $@ $<

$(PROGRAM_D) : $(OBJECTS_D)
	$(CXX) $(LDFLAGS) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)

rotated_test: Rotated.o rotated_test.C
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o rotated_test rotated_test.C Rotated.o $(LIBS) $(LDLIBS)

## flwm 1.00

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL=/bin/sh
 
 PROGRAM = flwm
-VERSION = 0.25
+VERSION = 1.00
 
 CXXFILES = main.C Frame.C Rotated.C Menu.C FrameWindow.C Desktop.C Hotkeys.C
 
@@ -13,7 +13,7 @@
 
 OBJECTS = $(CXXFILES:.C=.o)
 
-all:	$(PROGRAM)
+all:	makeinclude $(PROGRAM)
 
 $(PROGRAM) : $(OBJECTS)
 	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)

## flwm 1.01

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL=/bin/sh
 
 PROGRAM = flwm
-VERSION = 1.00
+VERSION = 1.01
 
 CXXFILES = main.C Frame.C Rotated.C Menu.C FrameWindow.C Desktop.C Hotkeys.C

## flwm 1.02

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL=/bin/sh
 
 PROGRAM = flwm
-VERSION = 1.01
+VERSION = 1.02
 
 CXXFILES = main.C Frame.C Rotated.C Menu.C FrameWindow.C Desktop.C Hotkeys.C

## flwm 1.02%2Bcvs20080422

=== debian/control ===
Source: flwm
Section: x11
Priority: optional
Homepage: http://flwm.sourceforge.net/
Maintainer: Axel Beckert <abe@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libfltk1.1-dev,
               libxft-dev,
               libxinerama-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/flwm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flwm.git

Package: flwm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: menu
Provides: x-window-manager
Description: Fast Light Window Manager
 Flwm is an attempt to combine the best ideas from several
 window managers. The primary influence and code base is from
 wm2 by Chris Cannam. Primary features copied from wm2 are:
 .
  - Does not look like Windows.
  - Nifty sideways title bars.
  - No icons. You deiconify by picking off a pop-up menu.
    This means no space is wasted by icons.
  - Really small and fast code.
 .
 It is enhanced by the author's own further nutty ideas:
 .
  - Does not use shape extension, more standard resize handles.
  - Occupies as little screen space as possible. The border and titles
    are as thin as you could possibly make them. And maximized
    windows waste only 15 pixels horizontally and zero (count'em)
    pixels vertically!
  - Independent maximize buttons for width & height, close button.
  - Understands Motif, KDE, and GNOME window manager hints.
  - Multiple desktops, controlled from the same menu as the icons.

Package: flwm-dbg
Section: debug
Architecture: any
Priority: extra
Depends: flwm (= ${binary:Version}),
         ${misc:Depends}
Description: Fast Light Window Manager (debugging symbols)
 Flwm is an attempt to combine the best ideas from several
 window managers. The primary influence and code base is from
 wm2 by Chris Cannam. Primary features copied from wm2 are:
 .
  - Does not look like Windoze.
  - Nifty sideways title bars.
  - No icons. You deiconify by picking off a pop-up menu.
    This means no space is wasted by icons.
  - Really small and fast code.
 .
 It is enhanced by the author's own further nutty ideas:
 .
  - Does not use shape extension, more standard resize handles.
  - Occupies as little screen space as possible. The border and titles
    are as thin as you could possibly make them. And maximized
    windows waste only 15 pixels horizontally and zero (count'em)
    pixels vertically!
  - Independent maximize buttons for width & height, close button.
  - Understands Motif, KDE, and GNOME window manager hints.
  - Multiple desktops, controlled from the same menu as the icons.
 .
 This package contains the debugging symbols for flwm.

## flwm 1.02+cvs20080422

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 VERSION = 1.02
 
 CXXFILES = main.C Frame.C Rotated.C Menu.C FrameWindow.C Desktop.C Hotkeys.C
-
-LIBS = -lfltk
 
 MANPAGE = 1
 
@@ -16,7 +14,7 @@
 all:	makeinclude $(PROGRAM)
 
 $(PROGRAM) : $(OBJECTS)
-	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS)
 
 makeinclude: configure
 	./configure
@@ -73,12 +71,12 @@
 OBJECTS_D = $(CXXFILES:.C=.do) $(CFILES:.c=.do)
 
 .C.do :
-	$(CXX) -I.. $(CXXFLAGS_D) -c -o $@ $<
+	$(CXX) -I.. $(CXXFLAGS) -DDEBUG -c -o $@ $<
 .c.do :
-	$(CC) -I.. $(CFLAGS_D) -c -o $@ $<
+	$(CC) -I.. $(CFLAGS) -DDEBUG -o $@ $<
 
 $(PROGRAM_D) : $(OBJECTS_D)
-	$(CXX) $(LDFLAGS) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS)
 
 rotated_test: Rotated.o rotated_test.C
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o rotated_test rotated_test.C Rotated.o $(LIBS) $(LDLIBS)
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o rotated_test rotated_test.C Rotated.o $(LIBS) $(LIBS)

=== debian/changelog ===
flwm (1.02+cvs20080422-9) unstable; urgency=low

  * New Maintainer (Closes: #622165)
  * Spell "Windows" correctly and neutral in the package description.
  * Fix lintian warning debian-rules-missing-recommended-target.
  * Add abort-on-upstream-changes and unapply-patches to
    debian/source/local-options as source format 3.0 stubbornly does not
    allow to put it into debian/source/options
  * Add Vcs-* headers.

 -- Axel Beckert <abe@debian.org>  Fri, 22 Jul 2011 02:38:26 +0200

flwm (1.02+cvs20080422-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Set the maintainer to the Debian QA Group.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Apr 2011 18:15:09 +0200

flwm (1.02+cvs20080422-7) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:06:26 +0100

flwm (1.02+cvs20080422-6) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Refer in debian/copyright to the GPL-2 file instead of GPL.
  * Add my own copyright for the Debian packaging.
  * Update to compat 7.
  * Use the new dh_installwm for registering flwm as one.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 May 2009 12:12:25 +0200

flwm (1.02+cvs20080422-5) unstable; urgency=low

  * Add missing ${misc:Depends}. Thanks lintian.
  * Mangle cvs version tag in the Debian version.
  * Add get-orig-source target.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of flwm-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Fix lintian information using-first-person-in-description.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:45:22 +0200

flwm (1.02+cvs20080422-4) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 14 Oct 2008 20:33:47 +0200

flwm (1.02+cvs20080422-3) experimental; urgency=low

  * Uploading to experimental, because Lenny is frozen.
  * Do not call x-window-manager with path in postinst.
    Thanks lintian.
  * Bump Standards-Version to 3.8.0.
    - Added README.source.
  * Removed debian/flwm.1 and added patches/04-manpage-fixes.dpatch instead of
    the whole manpage.
  * Added 05-remove-unneeded-linking.dpatch which removes some useless linking.
  * Added 06-create-dirs.dpatch which also creates directorys at install time.
    - Drop debian/dirs.
  * Drop deprecated README.Debian.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sat,  6 Sep 2008 10:06:19 +0200

flwm (1.02+cvs20080422-2) unstable; urgency=low

  * Added 03-parantheses-warnings.dpatch. It adds some parantheses in the code
    and avoids so on some warnings from the compiler.
  * Some minor header fixes for the 01 and 02 dpatch.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed, 14 May 2008 14:56:40 +0100

flwm (1.02+cvs20080422-1) unstable; urgency=low

  * New maintainer.
    Closes: #369933
  * New CVS snapshot from the 22th April 2008.
    Closes: #458946, #272672, #316885, #316209
  * Reworked the whole package with debhelper. This also fixes all lintian
    warnings.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue,  3 May 2008 20:32:21 +0100

flwm (1.02-3) unstable; urgency=low

  * debian/control:
    + Bump versioned build-dep on libfltk1.1-dev to 1.1.7-6.
      Closes: #450551.

 -- Bill Allombert <ballombe@debian.org>  Mon, 12 Nov 2007 13:14:50 +0100

flwm (1.02-2) unstable; urgency=low

  * Add patch 201_nostrip:
    + Remove -s from install so that nostrip actually works.
      Closes: #436844.  Thanks Julien Danjou.
  * debian/menu: update menu section to "Window Managers".
  * debian/rules: Remove - before make clean
  * debian/control: Recommends menu. Closes: #406277.

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Aug 2007 09:55:42 +0200

flwm (1.02-1) unstable; urgency=low

  * New upstream release
   + Remove 100_double_ampersand applied upstream.
   + Otherwise this is identical to 1.01-1.

 -- Bill Allombert <ballombe@debian.org>  Wed, 13 Sep 2006 12:29:11 +0200

flwm (1.01-1) unstable; urgency=low

  * New upstream release
    + This release catch the release of the Alt key again. Closes: #246089.
    + The following patches were applied upstream (Thanks Bill Spitzak).
      100_fl_filename_name 101_visible_focus 102_charstruct 103_man_typo
      104_g++-4.1_warning 105_double_ampersand 201_background_color
    + Add 100_double_ampersand to fix a typo in this release.
  * debian/watch: added.

 -- Bill Allombert <ballombe@debian.org>  Fri, 30 Jun 2006 01:17:06 +0200

flwm (1.00-10) unstable; urgency=low

  * Add patch 104_g++-4.1_warning that fix five warnings.
  * Add patch 105_double_ampersand that fix handling of '&' in window titles
    in the windows list.  Closes: #358337. Thanks Silas S. Brown.
  * Rediff Debian patches to compensate.
  * Bump Standards-Version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Sat, 10 Jun 2006 22:14:18 +0200

flwm (1.00-9) unstable; urgency=low

  * debian/menu-method:
    - Add removemenu config option
    - Use #! /usr/bin/install-menu
  * debian/rules: Fix handling of nostrip.
  * Use dpatch in pre-applied mode.
  * Add patch 201_background_color that should fix the color options
    Closes: #267983. Thanks Nils Krueger.

 -- Bill Allombert <ballombe@debian.org>  Tue, 28 Feb 2006 22:28:20 +0100

flwm (1.00-8) unstable; urgency=low

  * Rebuild with current g++/libfltk1.1. Closes: #328174.
  * debian/control:
    + Bump Standard-Version to 3.6.2.
    + Remove menu versioned conflict since Sarge was released.
    + Bump versioned build-dep on libfltk1.1-dev to 1.1.6-7.
  * debian/rules:
    + Move menu file to /usr/share/menu.
    + No more install debian/README.debian.
  * debian/copyright: Update FSF address.
  * debian/flwm.1: Remove useless blurb about RedHat.
  * debian/menu-method: Replace /usr/doc/menu by /usr/share/doc/menu.


=== debian/control ===
--- 
+++ 
@@ -3,20 +3,14 @@
 Priority: optional
 Homepage: http://flwm.sourceforge.net/
 Maintainer: Axel Beckert <abe@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9~),
-               dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
-               libfltk1.1-dev,
-               libxft-dev,
-               libxinerama-dev
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), autoconf, libfltk1.1-dev, libxft-dev, libxinerama-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/flwm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flwm.git
 
 Package: flwm
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: menu
 Provides: x-window-manager
 Description: Fast Light Window Manager
@@ -45,8 +39,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: flwm (= ${binary:Version}),
-         ${misc:Depends}
+Depends: ${misc:Depends}, flwm (= ${binary:Version})
 Description: Fast Light Window Manager (debugging symbols)
  Flwm is an attempt to combine the best ideas from several
  window managers. The primary influence and code base is from

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXXFLAGS = -g -Wall -Wno-return-type -I/usr/X11R6/include

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CXXFLAGS += -O0
else
	CXXFLAGS += -O2
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	autoconf
	CXX="g++" ./configure --prefix=/usr --mandir=/usr/share/man
	$(MAKE) "CXXFLAGS=$(CXXFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	[ ! -f makeinclude ] || $(MAKE) clean
	# Remove files from previous build.
	rm -f config.log config.cache config.status
	rm -f makedepend makeinclude
	rm -rf autom4te.cache
	rm -f configure
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install prefix=$(CURDIR)/debian/flwm/usr \
		mandir=$(CURDIR)/debian/flwm/usr/share/man
	# We don't want the uncompressed manpage.
	rm -f debian/flwm/usr/share/man/man1/flwm.1

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_installwm flwm
	dh_strip --dbg-package=flwm-dbg
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## flwm 1.02+git2015.04.29

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 SHELL=/bin/sh
 
 PROGRAM = flwm
-VERSION = 1.02
+VERSION = 1.02+git2015.04.29
 
-CXXFILES = main.C Frame.C Rotated.C Menu.C FrameWindow.C Desktop.C Hotkeys.C
+CXXFILES = main.C Frame.C Menu.C FrameWindow.C Desktop.C Hotkeys.C
 
 MANPAGE = 1
 
@@ -16,16 +16,19 @@
 $(PROGRAM) : $(OBJECTS)
 	$(CXX) $(LDFLAGS) -o $(PROGRAM) $(OBJECTS) $(LIBS)
 
-makeinclude: configure
+configure: configure.in
+	autoconf
+
+makeinclude: configure makeinclude.in
 	./configure
 include makeinclude
 
 .SUFFIXES : .fl .do .C .c .H
 
 .C.o :
-	$(CXX) $(CXXFLAGS) -c $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<
 .C :
-	$(CXX) $(CXXFLAGS) -c $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $<
 .fl.C :
 	-fluid -c $<
 .fl.H :
@@ -77,6 +80,3 @@
 
 $(PROGRAM_D) : $(OBJECTS_D)
 	$(CXX) $(LDFLAGS) -o $(PROGRAM_D) $(OBJECTS_D) $(LIBS)
-
-rotated_test: Rotated.o rotated_test.C
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o rotated_test rotated_test.C Rotated.o $(LIBS) $(LIBS)

=== debian/changelog ===
flwm (1.02+git2015.04.29-1) unstable; urgency=low

  * New upstream git snapshot with FLTK 1.3 support.
    + Drop patch 03-parantheses-warnings.diff, obsoleted by upstream.
    + Refresh remaining patches where needed.
    + Build-depend on libfltk1.3-dev instead of libfltk1.1-dev
  * Declare compliance with Debian Policy 3.9.6. (No changes needed.)
  * Convert debian/copyright to machine-readable DEP5 format and update
    copyright owners and years.

 -- Axel Beckert <abe@debian.org>  Thu, 30 Jul 2015 20:52:49 +0200

flwm (1.02+cvs20080422-11) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5 (no changes)
  * Use dh_auto_clean instead of "make clean" + manual "rm -rf"
  * Enable parallel building
  * Spell "Windows" correctly and neutral also in the long package
    description of flwm-dbg.
  * Drop obsolete man page removal in build target.
  * Add a debian/upstream/metadata file according to DEP-12.

 -- Axel Beckert <abe@debian.org>  Sat, 28 Jun 2014 17:27:11 +0200

flwm (1.02+cvs20080422-10) unstable; urgency=low

  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Switch to a dh7 style debian/rules file:
    + Use dh_auto_{configure,build,install} and implicit dpkg-buildflags
    + Use dh_clean and debian/clean instead of manual "rm" where possible
    + Use debian/wm instead parameter to dh_installwm
    + Drop get-orig-source target
  * Use dh_autoreconf
    + Add build-dependency on dh-autoreconf
  * Pass CPPFLAGS inside CXXFLAGS to fix lintian warning
    hardening-no-fortify-functions.
    + Add build-dependency on dpkg-dev >= 1.16.1~
  * Add flwm.desktop session file. Thanks Luca Capello! (Closes: #635044)
  * Add patch by Stephen Carrier to fix FTBFS if ACTIVE_COLOR is defined
    (i.e. with modified config.h; Closes: #698021)
  * Bump Standards-Version to 3.9.4 (no changes)
  * Add lintian-overrides for no-upstream-changelog
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Tue, 28 May 2013 22:54:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,20 @@
 Priority: optional
 Homepage: http://flwm.sourceforge.net/
 Maintainer: Axel Beckert <abe@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), autoconf, libfltk1.1-dev, libxft-dev, libxinerama-dev
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
+               dpkg-dev (>= 1.16.1~),
+               libfltk1.3-dev,
+               libxft-dev,
+               libxinerama-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/flwm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flwm.git
 
 Package: flwm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: menu
 Provides: x-window-manager
 Description: Fast Light Window Manager
@@ -39,13 +45,14 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, flwm (= ${binary:Version})
+Depends: flwm (= ${binary:Version}),
+         ${misc:Depends}
 Description: Fast Light Window Manager (debugging symbols)
  Flwm is an attempt to combine the best ideas from several
  window managers. The primary influence and code base is from
  wm2 by Chris Cannam. Primary features copied from wm2 are:
  .
-  - Does not look like Windoze.
+  - Does not look like Windows.
   - Nifty sideways title bars.
   - No icons. You deiconify by picking off a pop-up menu.
     This means no space is wasted by icons.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export CXXFLAGS:=$(CXXFLAGS) $(CPPFLAGS)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_clean:
	[ ! -f makeinclude ] || dh_auto_clean

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/flwm/usr

override_dh_strip:
	dh_strip --dbg-package=flwm-dbg

## flwm 1.02+git2015.10.03+7dbb30

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL=/bin/sh
 
 PROGRAM = flwm
-VERSION = 1.02+git2015.04.29
+VERSION = 1.02
 
 CXXFILES = main.C Frame.C Menu.C FrameWindow.C Desktop.C Hotkeys.C

=== debian/changelog ===
flwm (1.02+git2015.10.03+7dbb30-7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:49:24 +1100

flwm (1.02+git2015.10.03+7dbb30-7build1) noble; urgency=high

  * No change rebuild against libfltk1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:04:01 +0100

flwm (1.02+git2015.10.03+7dbb30-7) unstable; urgency=medium

  * Fix typo in description of 06-create-dirs.diff.
  * Update Vcs-* headers for move to Salsa.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Mention in debian/watch why switching to HTTPS does not help here.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.

 -- Axel Beckert <abe@debian.org>  Sun, 19 Jul 2020 05:41:44 +0200

flwm (1.02+git2015.10.03+7dbb30-6) unstable; urgency=high

  * Fix generate-flwm-menu-from-desktop-files to handle non-existing
    /usr/share/applications/ gracefully. (Closes: #886935)

 -- Axel Beckert <abe@debian.org>  Thu, 11 Jan 2018 23:34:36 +0100

flwm (1.02+git2015.10.03+7dbb30-5) unstable; urgency=medium

  * Fix File::DesktopEntry's package name also in package description.
  * Fix typo in 1.02+git2015.10.03+7dbb30-2 entry.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 30 Dec 2017 05:10:19 +0100

flwm (1.02+git2015.10.03+7dbb30-4) unstable; urgency=medium

  * Explain in package description which packages are needed to generate
    which flwm menu.
  * Fix package name of File::DesktopEntry (libfile-desktop-entry-perl vs
    libfile-desktopentry-perl).

 -- Axel Beckert <abe@debian.org>  Sat, 23 Dec 2017 03:37:04 +0100

flwm (1.02+git2015.10.03+7dbb30-3) unstable; urgency=medium

  * Harden generate-flwm-menu-from-desktop-files against more kinds of
    broken .desktop files to avoid upgrade issues.
  * Add /usr/games/ to $PATH inside generate-flwm-menu-from-desktop-files,
    otherwise it skips all games in /usr/games/ as /usr/games usually
    isn't in root's $PATH.

 -- Axel Beckert <abe@debian.org>  Sat, 23 Dec 2017 03:02:02 +0100

flwm (1.02+git2015.10.03+7dbb30-2) unstable; urgency=medium

  * Set "Rules-Requires-Root: no".
  * Declare compliance with Debian Policy 4.1.2.
    + Update DEP5 format URL in debian/copyright to HTTPS.
  * Drop obsolete debian/source/local-options.
  * Drop debian/flwm-dbg.lintian-overrides, obsoleted by previous upload.
  * Now that the package only produces one binary package, rename
    debian/flwm.{wm,lintian-overrides} to debian/{wm,lintian-overrides}.
  * Generate FLWM menu also from .desktop files.
    + Trigger menu regeneration upon /usr/share/applications/ changes.
    + Add required Perl modules for that functionality as Recommends and
      guard the trigger by a check for availability.
  * Move --dbgsym-migration to dh, allowing to drop the dh_strip override.

 -- Axel Beckert <abe@debian.org>  Fri, 22 Dec 2017 02:14:23 +0100

flwm (1.02+git2015.10.03+7dbb30-1) unstable; urgency=medium

  * Import new upstream snapshot (commit 7dbb30, 3rd of October 2015)
    + Fixes crash on untitled windows.
    + Refresh patch 06-fix-ftbfs-with-active-color.diff.
  * Drop manual -dbg package in favour of an automatic -dbgsym package.
  * Switch Vcs-* headers to https:// and cgit web interface.
  * Enable all hardening build flags.
  * Update multiple URLs in debian/upstream/metadata.
  * Disable DH_VERBOSE again.
  * Change dh_strip parameter --ddeb-migration to --dbgsym-migration
  * Bump debhelper compatibility to 10
    + Update versioned debhelper build-dependency.
    + Drop --parallel and --with autoreconf from debian/rules.
    + Drop explicit build-dependency on dh-autoreconf.
  * Declare compliance with Debian Policy 3.9.8.

 -- Axel Beckert <abe@debian.org>  Tue, 13 Sep 2016 00:03:13 +0200

=== debian/control ===
Source: flwm
Section: x11
Priority: optional
Homepage: http://flwm.sourceforge.net/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1~),
               libfltk1.3-dev,
               libxft-dev,
               libxinerama-dev
Vcs-Git: https://salsa.debian.org/debian/flwm.git
Vcs-Browser: https://salsa.debian.org/debian/flwm
Rules-Requires-Root: no

Package: flwm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libfile-desktopentry-perl,
            libfile-which-perl,
            libpath-tiny-perl,
            libset-scalar-perl,
            menu,
            perl
Provides: x-window-manager
Description: Fast Light Window Manager
 Flwm is an attempt to combine the best ideas from several
 window managers. The primary influence and code base is from
 wm2 by Chris Cannam. Primary features copied from wm2 are:
 .
  - Does not look like Windows.
  - Nifty sideways title bars.
  - No icons. You deiconify by picking off a pop-up menu.
    This means no space is wasted by icons.
  - Really small and fast code.
 .
 It is enhanced by the author's own further nutty ideas:
 .
  - Does not use shape extension, more standard resize handles.
  - Occupies as little screen space as possible. The border and titles
    are as thin as you could possibly make them. And maximized
    windows waste only 15 pixels horizontally and zero (count'em)
    pixels vertically!
  - Independent maximize buttons for width & height, close button.
  - Understands Motif, KDE, and GNOME window manager hints.
  - Multiple desktops, controlled from the same menu as the icons.
 .
 The recommended packages are needed to generate flwm's application
 menus:
  - For the old style debian-specific menu: menu
  - For the FreeDesktop menu based on .desktop files:
    libfile-desktopentry-perl, libfile-which-perl,
    libpath-tiny-perl, libset-scalar-perl, and perl.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
export CXXFLAGS:=$(CXXFLAGS) $(CPPFLAGS)

%:
	dh $@ --dbgsym-migration=flwm-dbg

override_dh_auto_clean:
	[ ! -f makeinclude ] || dh_auto_clean

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/flwm/usr
